View Issue Details

IDProjectCategoryView StatusLast Update
0000896FreeCADBugpublic2012-12-03 12:29
ReporterdanielfalckAssigned To 
PrioritynormalSeverityblockReproducibilityalways
Status closedResolutionfixed 
Product Version 
Target VersionFixed in Version0.13 
Summary0000896: ShaftDesign wizard incorrectly calls the active document
Description'Gui.Document' object has no attribute 'addObject'Running the Python command 'PartDesign.PartDesign' failed:
Traceback (most recent call last):
  File "/home/danfalck/cadcam/freecadcam/dancam6/freecad/Mod/PartDesign/WizardShaft/WizardShaft.py", line 80, in Activated
    FreeCADGui.Control.showDialog(TaskWizardShaft())
  File "/home/danfalck/cadcam/freecadcam/dancam6/freecad/Mod/PartDesign/WizardShaft/WizardShaft.py", line 59, in __init__
    self.shaft = Shaft(self.doc)
  File "/home/danfalck/cadcam/freecadcam/dancam6/freecad/Mod/PartDesign/WizardShaft/Shaft.py", line 56, in __init__
    self.sketch = ShaftFeature(doc)
  File "/home/danfalck/cadcam/freecadcam/dancam6/freecad/Mod/PartDesign/WizardShaft/ShaftFeature.py", line 42, in __init__
    self.sketch = self.Doc.addObject("Sketcher::SketchObject","SketchShaft")
Additional Informationsetting line 39 in ShaftFeature.py to this seems to work:

self.Doc = FreeCAD.activeDocument()

TagsNo tags attached.

Activities

wmayer

2012-12-03 12:29

administrator   ~0002607

git show 58a0ad5

Issue History

Date Modified Username Field Change
2012-12-02 15:45 danielfalck New Issue
2012-12-03 12:29 wmayer Note Added: 0002607
2012-12-03 12:29 wmayer Status new => closed
2012-12-03 12:29 wmayer Resolution open => fixed
2012-12-03 12:29 wmayer Fixed in Version => 0.13